﻿//获得选中的购物车项键列表
function getSelectedCartItemKeyList() {
	var valueList = new Array();
	$("#cartBody input[type=checkbox][name=cartItemCheckbox]:checked").each(function() {
		valueList.push($(this).val());
	})

	if (valueList.length < 1) {
		//当取消全部商品时,添加一个字符防止商品全部选中
		return "_";
	} else {
		return valueList.join(',');
	}
}

//设置批量选择购物车项复选框
function setBatchSelectCartItemCheckbox() {
	var flag = true;
	$("#cartBody input[type=checkbox][name=cartItemCheckbox]:not(:checked)").each(function() {
		$("#storeCartCheckbox" + $(this).attr("storeId")).prop("checked", false);
		flag = false;
	})

	if (flag) {
		$("#selectAllBut_bottom").prop("checked", true);
	} else {
		$("#selectAllBut_bottom").prop("checked", false);
	}
}

//删除购物车中商品
function delCartProduct(pid) {
	$.get(apiUrl + "/mobile/cart/delproduct2?pid=" + pid + "&selectedCartItemKeyList=" + getSelectedCartItemKeyList(), function(data) {
		try {
			if (data.status = statusTypeEnum.fail) {
				alert(data.msg);
			} else {
				alert(val("(" + data + ")").content);
			}
		} catch (ex) {
			$("#cartBody").html(data);
			setBatchSelectCartItemCheckbox();
		}
	})
}

//删除购物车中套装
function delCartSuit(pmId) {
	$.get(apiUrl + "/mobile/cart/delsuit2?pmId=" + pmId + "&selectedCartItemKeyList=" + getSelectedCartItemKeyList(), function(data) {
		try {
			if (data.status = statusTypeEnum.fail) {
				alert(data.msg);
			} else {
				alert(val("(" + data + ")").content);
			}
		} catch (ex) {
			$("#cartBody").html(data);
			setBatchSelectCartItemCheckbox();
		}
	})
}

//删除购物车中满赠
function delCartFullSend(pmId) {
	$.get(apiUrl + "/mobile/cart/delfullsend2?pmId=" + pmId + "&selectedCartItemKeyList=" + getSelectedCartItemKeyList(), function(data) {
		try {
			if (data.status = statusTypeEnum.fail) {
				alert(data.msg);
			} else {
				alert(val("(" + data + ")").content);
			}
		} catch (ex) {
			$("#cartBody").html(data);
			setBatchSelectCartItemCheckbox();
		}
	})
}

//改变商品数量
function changePruductCount(pid, buyCount) {
	if (!isInt(buyCount)) {
		alert('请输入数字');
	} else {
		var key = "0_" + pid;
		$("#cartBody input[type=checkbox][value=" + key + "]").each(function() {
			$(this).prop("checked", true);
			return false;
		})
		$.get(apiUrl + "/mobile/cart/changeproductcount2?pid=" + pid + "&buyCount=" + buyCount + "&selectedCartItemKeyList=" + getSelectedCartItemKeyList(), function(data) {
			try {
				if (data.status = statusTypeEnum.fail) {
					alert(data.msg);
				} else {
					alert(eval("(" + data + ")").content);
				}
			} catch (ex) {
				$("#cartBody").html(data);
				setBatchSelectCartItemCheckbox();
			}
		})
	}
}

//改变套装数量
function changeSuitCount(pmId, buyCount) {
	if (!isInt(buyCount)) {
		alert('请输入数字');
	} else {
		var key = "1_" + pmId;
		$("#cartBody input[type=checkbox][value=" + key + "]").each(function() {
			$(this).prop("checked", true);
			return false;
		})
		$.get(apiUrl + "/mobile/cart/changesuitcount2?pmId=" + pmId + "&buyCount=" + buyCount + "&selectedCartItemKeyList=" + getSelectedCartItemKeyList(), function(data) {
			try {
				if (data.status = statusTypeEnum.fail) {
					alert(data.msg);
				} else {
					alert(eval("(" + data + ")").content);
				}
			} catch (ex) {
				$("#cartBody").html(data);
				setBatchSelectCartItemCheckbox();
			}
		})
	}
}

//商品购买数量输入框事件
var tempProductNumber = 0;

function productNumberFocus(obj) {
	tempProductNumber = obj.value;
	obj.value = "";
}

function productNumberBlur(obj, itemId, itemType) {
	var value = obj.value;
	if (value == "") {
		obj.value = tempProductNumber;
	} else {
		if (!isInt(value)) {
			alert("只能输入数字!");
			obj.value = tempProductNumber;
		} else {
			if (itemType == 0) {
				changePruductCount(itemId, value);
			} else {
				changeSuitCount(itemId, value);
			}
		}
	}
}

//获取满赠商品
var selectedFullSendPmId = 0;

function getFullSend(pmId) {
	$.get(apiUrl + "/mobile/cart/getfullsend2?pmId=" + pmId, function(data) {
		if (data.status = statusTypeEnum.fail) {
			alert(data.msg);
		} else {
			selectedFullSendPmId = pmId;
			getFullSendResponse(data);
		}
	})
}

//处理获取满赠商品的反馈信息
var selectedFullSendPid = 0;

function getFullSendResponse(data) {
	var result = eval("(" + data + ")");
	if (result.state != "success") {
		alert(result.content);
	} else {
		if (result.content.length < 1) {
			alert("满赠商品不存在");
			return;
		}

		var html = "";
		for (var i = 0; i < result.content.length; i++) {
			html += "<div class='proInfo'>";
			html += "<div class='price'>￥" + result.content[i].shopPrice + "</div>";
			html += "<div class='proInfo1'><input type='radio' name='fullSendProduct' class='checkbox' value='" + result.content[i].pid + "' onclick='selectedFullSendPid=this.value'/></div>";
			html += "<div class='proInfo2 change'>";
			html += "<a href='" + result.content[i].url + "' class='proImg'><img src='/upload/store/" + result.content[i].storeId + "/product/show/thumb60_60/" + result.content[i].showImg + "' width='59' height='59' /></a>";
			html += "<div class='text'>";
			html += "<a href='" + result.content[i].url + "'>" + result.content[i].name + "</a>";
			html += "<div class='nb'>x1</div></div></div></div>";
		}
		$("#fullSendProductList").html(html);
		$("#fullSendBlock").show();
		$("#fullSendMask").show();
	}
}

//关闭满赠层
function closeFullSendBlock() {
	selectedFullSendPmId = 0;
	selectedFullSendPid = 0;
	$("#fullSendProductList").html("");
	$("#fullSendBlock").hide();
	$("#fullSendMask").hide();
}

//添加满赠商品
function addFullSend() {
	$.get(apiUrl + "/mobile/cart/addfullsend2?pmId=" + selectedFullSendPmId + "&pid=" + selectedFullSendPid + "&selectedCartItemKeyList=" + getSelectedCartItemKeyList(), function(data) {
		try {
			if (data.status = statusTypeEnum.fail) {
				alert(data.msg);
			} else {
				alert(eval("(" + data + ")").content);
			}
		} catch (ex) {
			$("#cartBody").html(data);
			setBatchSelectCartItemCheckbox();
		}
	})
	closeFullSendBlock();
}

//取消或选中购物车项
function cancelOrSelectCartItem() {
	$.get(apiUrl + "/mobile/cart/cancelorselectcartitem2?selectedCartItemKeyList=" + getSelectedCartItemKeyList(), function(data) {
		try {
			if (data.status = statusTypeEnum.fail) {
				alert(data.msg);
			} else {
				alert(eval("(" + data + ")").content);
			}
		} catch (ex) {
			$("#cartBody").html(data);
			setBatchSelectCartItemCheckbox();
		}
	})
}

//取消或选中店铺购物车
function cancelOrSelectStoreCart(obj) {
	var checked = obj.checked;
	var storeId = obj.getAttribute("storeId");
	$("#cartBody input[type=checkbox][name=cartItemCheckbox][storeId=" + storeId + "]").each(function() {
		$(this).prop("checked", checked);
	})
	cancelOrSelectCartItem();
}

//取消或选中全部购物车项
function cancelOrSelectAllCartItem(obj) {
	if (obj.checked) {
		$.get(apiUrl + "/mobile/cart/selectallcartitem2", function(data) {
			try {
				if (data.status = statusTypeEnum.fail) {
					alert(data.msg);
				} else {
					alert(eval("(" + data + ")").content);
				}
			} catch (ex) {
				$("#cartBody").html(data);
			}
		})
	} else {
		$("#cartBody input[type=checkbox]").each(function() {
			if($(this).attr("allcheck")!="1"){
			 $(this).prop("checked", false);
			}
		})
		$("#productAmount").html("0.00");
		$("#fullCut").html("0");
		$("#orderAmount").html("0.00");
	}
}

//前往确认订单
function goConfirmOrder() {
	var valueList = new Array();
	$("#cartBody input[type=checkbox][name=cartItemCheckbox]:checked").each(function() {
		valueList.push($(this).val());
	})

	if (valueList.length < 1) {
		alert("请先选择购物车商品");
	} else {
		$("selectedCartItemKeyList").val(valueList.join(','));
		var href="../order/confirmorder.html?selectedCartItemKeyList="+valueList.join(',');
		var id="../order/confirmorder.html";
		var confirmWv=plus.webview.getWebviewById(id);
		if(confirmWv){
//			setTimeout(function(){
//				confirmWv.close()
//			},500);
			confirmWv.close();
		}
		mui.openWindow({
			url: href,
			id: id
		});
//		document.forms[0].submit();
//	$.ajax({
//		cache: true,
//		type: "POST",
//		url: apiUrl + "/mobile/order/confirmorderpartial",
//		data: $('#submitorder').serialize(), // 你的formid
//		async: false,
//		success: function(data) {
//			$(".body").empty().html(data);
//		}
//	});
		
	}
}