﻿(function() {
	//提交订单
	var submitOrder = function() {
		var selectedCartItemKeyList = $("#selectedCartItemKeyList").val()
		var saId = $("#saId").val();
		var payName = $("#payName").val();
		var allFullCut = $("#allFullCut").val();

		var payCreditCount = $("#payCreditCount").prop("checked") ? $("#payCreditCount").val() : 0;

		var couponIdList = "";
		$("#validCouponList span[checked=true]").each(function() {
			couponIdList += $(this).attr("value") + ",";
		})
		if (couponIdList != "")
			couponIdList = couponIdList.substring(0, couponIdList.length - 1);

		if (!verifySubmitOrder(saId, payName)) {
			return;
		}

		$.post(apiUrl + "/mobile/order/submitorder2", {
				'selectedCartItemKeyList': selectedCartItemKeyList,
				'saId': saId,
				'payName': payName,
				'payCreditCount': payCreditCount,
				'couponIdList': couponIdList,
				'fullCut': allFullCut
			},
			KelaOrder.submitOrderResponse)
	};

	//处理提交订单的反馈信息
	var submitOrderResponse = function(data) {
		if (data.Status == statusTypeEnum.success) {
			detailPage = plus.webview.getWebviewById('../cart/index.html');
			mui.fire(detailPage, 'cartIndex', {});
			window.location.href = data.BackUrl;
		} else if (data.Status == statusTypeEnum.fail) {
			alert(data.Msg);
		} else if (data.Status == statusTypeEnum.redirect) {
			window.location.href = data.BackUrl;
		}
	};

	return KelaOrder = {
		submitOrder: submitOrder,
		submitOrderResponse: submitOrderResponse
	}
})();

//获得配送地址列表
function getShipAddressList() {
	$.get(apiUrl + "/mobile/ucenter/ajaxshipaddresslist", getShipAddressListResponse);
}

//处理获得配送地址列表的反馈信息
function getShipAddressListResponse(data) {
	var result = eval("(" + data + ")");
	if (result.state == "success") {
		var shipAddressList = "";
		for (var i = 0; i < result.content.count; i++) {
			shipAddressList += "<div class='bgBlock'></div><div class='adressI'><p>" + result.content.list[i].user + "</p><p class='f14'>" + result.content.list[i].address + "</p><div class='chooseAD'><input id='said_" + result.content.list[i].saId + "' type='radio' class='radio' name='shipAddressItem' value='" + result.content.list[i].saId + "' onclick='selectShipAddress(" + result.content.list[i].saId + ",this)'/>送到这里去</div></div>";
		}
		shipAddressList += "<a href='javascript:openAddShipAddressBlock()' class='addAddress'>+添加收货地址</a>";
		$("#mainBlock").hide();
		$("#shipAddressListBlock").show();
		$("#shipAddressListBlock").html(shipAddressList);
	} else {
		alert(result.content);
	}
}

//选择配送地址
function selectShipAddress(saId, obj) {
	$("#saId").val(saId);
	obj.checked = "checked";
	//	document.getElementById("confirmOrderForm").submit();
	setTimeout(function() {
		$.ajax({
			cache: true,
			type: "POST",
			url: apiUrl + "/mobile/order/confirmorderpartial",
			data: $('#confirmOrderForm').serialize(), // 你的formid
			async: false,
			success: function(data) {
				$(".body").empty().html(data);
			}
		});
	}, 1000);
}

//打开添加配送地址块
function openAddShipAddressBlock() {
	$("#addShipAddressBlock").show();
}

//添加配送地址
function addShipAddress() {
	var addShipAddressForm = document.forms["addShipAddressForm"];

	var consignee = addShipAddressForm.elements["consignee"].value;
	var mobile = addShipAddressForm.elements["mobile"].value;
	var regionId = $(addShipAddressForm.elements["regionId"]).find("option:selected").val();
	var address = addShipAddressForm.elements["address"].value;

	if (!verifyAddShipAddress(consignee, mobile, regionId, address)) {
		return;
	}

	$.post(apiUrl + "/mobile/ucenter/addshipaddress", {
			'consignee': consignee,
			'mobile': mobile,
			'regionId': regionId,
			'address': address,
			'isDefault': 1
		},
		addShipAddressResponse)
}

//验证添加的收货地址
function verifyAddShipAddress(consignee, mobile, regionId, address) {
	if (consignee == "") {
		alert("请填写收货人");
		return false;
	}
	if (mobile == "") {
		alert("请填写手机号");
		return false;
	}
	if (parseInt(regionId) < 1) {
		alert("请选择区域");
		return false;
	}
	if (address == "") {
		alert("请填写详细地址");
		return false;
	}
	return true;
}

//处理添加配送地址的反馈信息
function addShipAddressResponse(data) {
	var result = eval("(" + data + ")");
	if (result.state == "success") {
		$("#saId").val(result.content);
		//		document.getElementById("confirmOrderForm").submit();
		$.ajax({
			cache: true,
			type: "POST",
			url: apiUrl + "/mobile/order/confirmorderpartial",
			data: $('#confirmOrderForm').serialize(), // 你的formid
			async: false,
			success: function(data) {
				$(".body").empty().html(data);
			}
		});
	} else {
		var msg = "";
		for (var i = 0; i < result.content.length; i++) {
			msg += result.content[i].msg + "\n";
		}
		alert(msg)
	}
}

//显示支付插件列表
function showPayPluginList() {
	$("#mainBlock").hide();
	$("#payPluginListBlock").show();
}

//选择支付方式
function selectPayPlugin(paySystemName) {
	$("#payName").val(paySystemName);
	//	document.getElementById("confirmOrderForm").submit();

	setTimeout(function() {
		$.ajax({
			cache: true,
			type: "POST",
			url: apiUrl + "/mobile/order/confirmorderpartial",
			data: $('#confirmOrderForm').serialize(), // 你的formid
			async: false,
			success: function(data) {
				$(".body").empty().html(data);
			}
		});
	}, 1000);
}

//获得有效的优惠劵列表
function getValidCouponList() {
	$.get(apiUrl + "/mobile/order/getvalidcouponlist", getValidCouponListResponse);
}

//处理获得有效的优惠劵列表的反馈信息
function getValidCouponListResponse(data) {
	var result = eval("(" + data + ")");
	if (result.state == "success") {
		if (result.content.length < 1) {
			document.getElementById("validCouponList").innerHTML = "<div class=\"allCell\">此订单暂无可用的优惠券</div>";
		} else {
			var itemList = "";
			for (var i = 0; i < result.content.length; i++) {
				itemList += "<div class=\"allCell\"><span class=\"radio\" checked='false' value='" + result.content[i].couponId + "' useMode='" + result.content[i].useMode + "' onclick='checkCouponUseMode(this)'></span>" + result.content[i].name + "</div>";
			}
			$("#validCouponList").html(itemList);
		}
		$("#mainBlock").hide();
		$("#validCouponListBlcok").show();
	} else {
		alert(result.content);
	}
}

//检查优惠劵的使用模式
function checkCouponUseMode(obj) {
	if (obj.getAttribute("checked") == "true") {
		obj.setAttribute("checked", "false");
		obj.className = "radio";
	} else {
		var useMode = obj.getAttribute("useMode");
		if (useMode == "1") {
			var checkboxList = document.getElementById("validCouponList").getElementsByTagName("span");
			for (var i = 0; i < checkboxList.length; i++) {
				checkboxList[i].setAttribute("checked", "false");
				checkboxList[i].className = "radio";
			}
		}
		obj.setAttribute("checked", "true");
		obj.className = "radio checked";
	}
}

//确认选择的优惠劵
function confirmSelectedCoupon() {
	var couponList = "";
	var couponIdCheckboxList = document.getElementById("validCouponList").getElementsByTagName("span");
	for (var i = 0; i < couponIdCheckboxList.length; i++) {
		if (couponIdCheckboxList[i].getAttribute("checked") == "true") {
			couponList += "<div class='sell'><i>惠</i>" + couponIdCheckboxList[i].getAttribute("text") + "</div>";
		}
	}
	$("#selectCouponList").html(couponList);
	$("#mainBlock").show();
	$("#validCouponListBlcok").hide();
}

//提交订单
function submitOrder() {
	var selectedCartItemKeyList = $("#selectedCartItemKeyList").val()
	var saId = $("#saId").val();
	var payName = $("#payName").val();
	var allFullCut = $("#allFullCut").val();

	var payCreditCount = $("#payCreditCount").prop("checked") ? $("#payCreditCount").val() : 0;

	var couponIdList = "";
	$("#validCouponList span[checked=true]").each(function() {
		couponIdList += $(this).attr("value") + ",";
	})
	if (couponIdList != "")
		couponIdList = couponIdList.substring(0, couponIdList.length - 1);

	if (!verifySubmitOrder(saId, payName)) {
		return;
	}

	$.post(apiUrl + "/mobile/order/submitorder2", {
			'selectedCartItemKeyList': selectedCartItemKeyList,
			'saId': saId,
			'payName': payName,
			'payCreditCount': payCreditCount,
			'couponIdList': couponIdList,
			'fullCut': allFullCut
		},
		submitOrderResponse)
}

//验证提交订单
function verifySubmitOrder(saId, payName) {
	if (saId < 1) {
		alert("请填写收货人信息");
		return false;
	}
	if (payName.length < 1) {
		alert("支付方式不能为空");
		return false;
	}
	return true;
}

//处理提交订单的反馈信息
function submitOrderResponse(data) {
	var result = eval("(" + data + ")");
	if (result.state != "success") {
		alert(result.content);
	} else {
		window.location.href = result.content;
	}
}